<?php
	include_once G5_LIB_PATH."/mailer.lib.php";
	include_once G5_PLUGIN_PATH."/mailer/mailer.php";
	
	if($w==""){
				
		//구글시트 등록
		include_once G5_PATH.'/vendor/autoload.php'; //구글 API로드
		
		$client = new Google_Client();
		$client->setApplicationName("devschedule");
		$client->setAuthConfig(G5_PATH."/devschedule-1612230163254-cf049da8d887.json"); //구글서비스 등록정보
		$client->setScopes(Google_Service_Sheets::SPREADSHEETS); //사용용도
		$client->setAccessType('offline');        // offline access
		
		$service = new Google_Service_Sheets($client);
		
		$spreadsheetId = '1H6AnYtlQmz6cDIc4ycnt347oC2DZRjcrvY_t6CLyWH0'; //구글시트 아이디
		$range = '개발팀일정!A:K'; //구글시트탭제목 및 위치
		
		$response = $service->spreadsheets_values->get($spreadsheetId, $range);
		$selRow = $response->getValues();
		$selCnt = count($selRow) + 1;
		
		//내용을 추가
		//등록일	희망완료일	완료예상일	제목	업체명	급건여부	작성자	링크	PK
		$rangeInsert = "개발팀일정!A{$selCnt}:K{$selCnt}";
		$boardLink = G5_BBS_URL."/board.php?bo_table={$bo_table}&wr_id={$wr_id}";

		//데이터화
		$sheetValues = array(
		    array("".date("Y-m-d", strtotime(G5_TIME_YMDHIS))."", 
		          "".date("Y-m-d", strtotime($_POST["wr_6"]).""),
		          "".$_POST["wr_8"] ? date("Y-m-d", strtotime($_POST["wr_8"])) : "" ."",
		          "".$_POST["wr_subject"]."",
		          "".$_POST["ca_name"]."",
		          "".$wr_facebook_user."",
		          "".$_POST["wr_1"]."",
		          "".$boardLink."",
		          "".$wr_id."",
		          "",
		          ""
		    ),
		          // Additional rows ...
		); 
		
		$sheetData = array();
		$sheetData[] = new Google_Service_Sheets_ValueRange(array(
		    'range' => $rangeInsert,
		    'values' => $sheetValues
		));
		
		$requestBody = new Google_Service_Sheets_BatchUpdateValuesRequest(
		    array('valueInputOption' => "USER_ENTERED",
		        'data' => $sheetData)
		    );
		
		//입력
		$response = $service->spreadsheets_values->batchUpdate($spreadsheetId, $requestBody);  
		
	}
	
	if($w == "u")
	{
	    //구글시트 등록
	    include_once G5_PATH.'/vendor/autoload.php'; //구글 API로드
	    
	    $client = new Google_Client();
	    $client->setApplicationName("devschedule");
	    $client->setAuthConfig(G5_PATH."/devschedule-1612230163254-cf049da8d887.json"); //구글서비스 등록정보
	    $client->setScopes(Google_Service_Sheets::SPREADSHEETS); //사용용도
	    $client->setAccessType('offline');        // offline access
	    
	    $service = new Google_Service_Sheets($client);
	    
	    $spreadsheetId = '1H6AnYtlQmz6cDIc4ycnt347oC2DZRjcrvY_t6CLyWH0'; //구글시트 아이디
	    $range = '개발팀일정!A:K'; //구글시트탭제목 및 위치
	    
	    $response = $service->spreadsheets_values->get($spreadsheetId, $range);
	    $selRow = $response->getValues();
	    
	    $selCnt = "";
	    foreach($selRow as $key => $val)
	    {
	        if($val[8] == $wr_id)
	        {
	            $selCnt = ($key + 1);
	        }
	    }
	    
	    if($selCnt > 0)
	    {
	        $tmpWr = sql_fetch(" SELECT * FROM g5_write_{$bo_table} WHERE wr_id = '{$wr_id}' ");
	        
	        //내용을 추가
	        //등록일	희망완료일	완료예상일	제목	업체명	급건여부	작성자	링크	PK
	        $rangeInsert = "개발팀일정!A{$selCnt}:K{$selCnt}";
	        $boardLink = G5_BBS_URL."/board.php?bo_table={$bo_table}&wr_id={$wr_id}";
	        
	        //데이터화
	        $sheetValues = array(
            array("".date("Y-m-d", strtotime($tmpWr["wr_datetime"]))."",
            "".date("Y-m-d", strtotime($_POST["wr_6"]))."",
            "".$_POST["wr_8"] ? date("Y-m-d", strtotime($_POST["wr_8"])) : "" ."",
	        "".$_POST["wr_subject"]."",
	        "".$_POST["ca_name"]."",
            "".$wr_facebook_user."",
	        "".$_POST["wr_1"]."",
	        "".$boardLink."",
	        "".$wr_id."",
            "",
            ""
            ),
	        // Additional rows ...
	        );
	        
	        $sheetData = array();
	        $sheetData[] = new Google_Service_Sheets_ValueRange(array(
	        'range' => $rangeInsert,
	        'values' => $sheetValues
	        ));
	        
	        $requestBody = new Google_Service_Sheets_BatchUpdateValuesRequest(
	        array('valueInputOption' => "USER_ENTERED",
	        'data' => $sheetData)
	        );
	        
	        //입력
	        $response = $service->spreadsheets_values->batchUpdate($spreadsheetId, $requestBody);
	    }
	}
?>